/*

  vcheck.h
  Copyright(C) 2004-2008 INASOFT 矢吹拓也/Ayacy

  vcheck.libを利用するためのヘッダファイル

*/

#ifndef MYLIB__ISVCHECK__
#define MYLIB__ISVCHECK__

#ifndef OWN__VCHECK__
#pragma comment(lib, "vcheck.lib")
#endif /* OWN__VCHECK__ */

#ifdef __cplusplus

#ifndef LibExport
#define LibExport extern "C"
#endif  /* LibExport */

#else /* __cplusplus */

#ifndef LibExport
#define LibExport extern
#endif  /* LibExport */

#endif /* __cplusplus */
// #define VCHECK_ON

LibExport const char *vcheck( void );
LibExport BOOL  pcheck_r7( HINSTANCE hInst, HWND hWnd, LPCTSTR dlgid );
LibExport const char *vcheck_r7( HWND hWnd );
LibExport DWORD vcheck_GetVersion( void ); // バージョン番号の取得

#endif /* MYLIB__ISVCHECK__ */
